Pagination by Items Within a Group
http
POST /api/v2/search-report/table/detailsBase URL: https://seller-analytics-api.wildberries.ru · Module: analytics · Section: Search Queries for Your Items · Specification doc ↗
Pagination by items within a group. It is possible regardless of the presence of filters. Filters for pagination by items within a group or without filters:
- tuple
subjectId,brandName,tagId— filter for the group nmIds— filter by listings Additional parameters for selecting the list of items in the table:positionCluster— average position in search The parametersincludeSubstitutedSKUsandincludeSearchTextscannot both be set tofalse.
The report data is updated once every 2 hours.
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 3 requests | 20 s | 3 requests |
| Service | 1 min | 3 requests | 20 s | 3 requests |
| Base with secret | 1 min | 3 requests | 20 s | 3 requests |
| Base | 1 h | 1 request | 1 h | 1 request |
Request body
application/json — schema TableDetailsRequest, required
currentPeriodPeriod(required)startstring(required) — Start date of the period. No later thanend. No earlier than 365 days from todayendstring(required) — End date of the period. No earlier than 365 days from today
pastPeriodpastPeriodstartstring(required) — Start date of the period. No later thanend. No earlier than 365 days from todayendstring(required) — End date of the period. No later than the day before the start datecurrentPeriod. No earlier than 365 days from today
subjectIdinteger<int32>— Subcategory IDbrandNamestring— Item nametagIdinteger<int64>— Label IDnmIdsinteger<int64>[]— WB item numbers listorderByOrderByMainAndDetails(required)fieldstring=avgPosition|openCard|addToCart|openToCart|orders|cartToOrder|visibility|minPrice|maxPrice(required) — Field for sorting: -avgPosition— by average position -addToCart— by adds-to-Cart -openCard— by click-throughs -orders— by number of items ordered -cartToOrder— by conversion to order from search -openToCart— by conversion to cart from search -visibility— by item visibility -minPrice— by minimum price -maxPrice— by maximum pricemodestring=asc|desc(required) — Order of sorting: -asc— ascending -desc— descending
positionClusterstring=all|firstHundred|secondHundred|below(required) — Which average search position of items to display in the report: -all— all -firstHundred— from 1 to 100 -secondHundred— from 101 to 200 -below— from 201 and belowincludeSubstitutedSKUsboolean— Show data for direct queries with promo itemsincludeSearchTextsboolean— Show data for search queries without promo itemslimitinteger<int64>(required) — Number of items in the responseoffsetinteger<int64>(required) — From which element to start outputting data
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | PostV2SearchReportTableDetailsResponse200 |
400 | Bad request | ErrorObject400 |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | ErrorObject403 |
429 | Too many requests | object |
Structure 200:
dataTableDetailsResponseproductsTableItem[]— List of items in a group by filternmIdinteger<int64>— WB item numbernamestring— Item namevendorCodestring— Seller item numbersubjectNamestring— Subcategory namebrandNamestring— BrandmainPhotostring— URL of the main photo of the listingisAdvertisedboolean— Is the item being promoted in search resultsisSubstitutedSKUboolean— If the item was searched by the promo item. The field will be in the response if the request containsincludeSubstitutedSKUsand/orincludeSearchTextsisCardRatedboolean— If the listing has a ratingratingnumber<float64>— Listing ratingfeedbackRatingnumber<float64>— Feedbacks ratingpriceobject— PriceminPriceinteger<int64>— Minimal pricemaxPriceinteger<int64>— Maximal price
avgPositionobject— Average item position in search resultscurrentinteger<int64>— Current average positiondynamicsinteger<int64>— Dynamics compared to the previous period (%)
openCardobject— Click-throughs from searchcurrentinteger<int64>— Current click-throughsdynamicsinteger<int64>— Dynamics compared to the previous period (%)
addToCartobject— Adds-to-Cart from searchcurrentinteger<int64>— Current numberdynamicsinteger<int64>— Dynamics compared to the previous period (%)
openToCartobject— Conversion to cart from search — the ratio of item additions to the cart compared to all transitions to the listing from the searchcurrentinteger<int64>— Current conversiondynamicsinteger<int64>— Dynamics compared to the previous period (%)
ordersobject— Items ordered from searchcurrentinteger<int64>— Current numberdynamicsinteger<int64>— Dynamics compared to the previous period (%)
cartToOrderobject— Conversion to order from search — the ratio of items ordered to all additions of the item from search to the cartcurrentinteger<int64>— Current conversiondynamicsinteger<int64>— Dynamics compared to the previous period (%)
visibilityobject— Item visibility percent in search resultscurrentinteger<int64>— Current visibility percentdynamicsinteger<int64>— Dynamics compared to the previous period (%)
currencyCurrency
Structure 400:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— Internal WB service ID
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailsrequestIdstring— Unique request IDoriginstring— Internal WB service ID
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.analytics import Configuration, ApiClient
from wb_api_client.analytics.api import AnalyticsApi
cfg = Configuration(access_token="<your WB JWT>")
api = AnalyticsApi(ApiClient(cfg))
result = api.post_v2_search_report_table_details(table_details_request=...)
print(result)ts
import {
Configuration,
AnalyticsApi,
} from "@valeryverkhoturov/wb-api-client/analytics";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new AnalyticsApi(cfg);
const { data } = await api.postV2SearchReportTableDetails(tableDetailsRequest);
console.log(data);go
import (
"context"
"fmt"
wbanalytics "github.com/ValeryVerkhoturov/wb-api-client-go/analytics"
)
cfg := wbanalytics.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbanalytics.NewAPIClient(cfg)
result, _, err := client.AnalyticsAPI.PostV2SearchReportTableDetails(context.Background()).TableDetailsRequest(tableDetailsRequest).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.analytics.ApiClient;
import io.github.valeryverkhoturov.wbapi.analytics.SecretString;
import io.github.valeryverkhoturov.wbapi.analytics.api.AnalyticsApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
AnalyticsApi api = new AnalyticsApi(client);
System.out.println(api.postV2SearchReportTableDetails(tableDetailsRequest));php
use ValeryVerkhoturov\WbApiClient\Analytics\Configuration;
use ValeryVerkhoturov\WbApiClient\Analytics\SecretString;
use ValeryVerkhoturov\WbApiClient\Analytics\Api\AnalyticsApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new AnalyticsApi(new Client(), $config);
print_r($api->postV2SearchReportTableDetails($table_details_request));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый AnalyticsApi(Настройки);
Сообщить(Клиент.PostV2SearchReportTableDetails(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.Analytics.Api;
using ValeryVerkhoturov.WbApiClient.Analytics.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new AnalyticsApi(config);
Console.WriteLine(api.PostV2SearchReportTableDetails(tableDetailsRequest));rust
use wb_api_client::analytics::apis::{configuration::Configuration, analytics_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = analytics_api::post_v2_search_report_table_details(&cfg, table_details_request).await;
println!("{:#?}", result);
}